Open Chinese Convert 1.0.3 A project for conversion between Traditional and Simplified Chinese

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opencc::Dict Class Referenceabstract
OpenCC C++ Comprehensive API

Abstract class of dictionary. More...

`#include <Dict.hpp>`

Inheritance diagram for opencc::Dict:

## Public Member Functions
virtual Optional< const DictEntry * > | Match (const char *word) const =0
| Matches a word exactly and returns the DictEntry or Optional::Null().
Optional< const DictEntry * > | Match (const string &word) const
| Matches a word exactly and returns the DictEntry or Optional::Null().
virtual Optional< const DictEntry * > | MatchPrefix (const char *word) const
| Matches the longest matched prefix of a word. More...
Optional< const DictEntry * > | MatchPrefix (const string &word) const
| Matches the longest matched prefix of a word.
virtual vector< const DictEntry * > | MatchAllPrefixes (const char *word) const
| Returns all matched prefixes of a word, sorted by the length (desc). More...
vector< const DictEntry * > | MatchAllPrefixes (const string &word) const
| Returns all matched prefixes of a word, sorted by the length (desc).
virtual size_t | KeyMaxLength () const =0
| Returns the length of the longest key in the dictionary.
virtual LexiconPtr | GetLexicon () const =0
| Returns all entries in the dictionary.

## Detailed Description

Abstract class of dictionary.

## Member Function Documentation

vector< const DictEntry * > Dict::MatchAllPrefixes | ( | const char * | word | ) | const
| virtual

Returns all matched prefixes of a word, sorted by the length (desc).

For example given a dictionary having "a", "an", "b", "ba", "ban", "bana", all the matched prefixes of "banana" are "bana", "ban", "ba", "b".

Reimplemented in opencc::DictGroup.

Optional< const DictEntry * > Dict::MatchPrefix | ( | const char * | word | ) | const
| virtual

Matches the longest matched prefix of a word.

For example given a dictionary having "a", "an", "b", "ba", "ban", "bana", the longest prefix of "banana" matched is "bana".

Reimplemented in opencc::DictGroup, and opencc::DartsDict.

The documentation for this class was generated from the following files:

- Dict.hpp
- Dict.cpp